Skip to main content
GET
/
api
/
v1
/
invoices
curl -X GET "https://sandbox.cucu.bo/api/v1/invoices?page=0&size=10" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "content": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "invoiceNumber": 5,
        "cuf": "2872F7294502332E637FABFBC3654EA82202AD48E0969F14EBEB8AF74",
        "state": "VALIDATED",
        "clientBusinessName": "EMPRESA DEMO S.R.L.",
        "amountTotal": 500.00,
        "emissionDate": "2026-02-11T12:00:00"
      }
    ],
    "page": 0,
    "size": 10,
    "totalElements": 1,
    "totalPages": 1,
    "first": true,
    "last": true
  },
  "timestamp": "2026-02-11T12:00:00"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cucu.bo/llms.txt

Use this file to discover all available pages before exploring further.

Devuelve una lista paginada de facturas emitidas, ordenadas por fecha de emision descendente.

Headers

ParametroTipoReqDescripcion
X-API-KeystringSiTu API Key

Query Parameters

ParametroTipoReqDescripcion
pageintegerNoNumero de pagina (inicia en 0). Default: 0
sizeintegerNoElementos por pagina (max 50). Default: 20

Response

CampoTipoDescripcion
successbooleantrue si exitoso
data.contentarrayLista de facturas
data.pageintegerPagina actual
data.sizeintegerTamano de pagina
data.totalElementsintegerTotal de facturas
data.totalPagesintegerTotal de paginas
data.firstbooleantrue si es la primera pagina
data.lastbooleantrue si es la ultima pagina
timestampstringFecha/hora de la respuesta
curl -X GET "https://sandbox.cucu.bo/api/v1/invoices?page=0&size=10" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "content": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "invoiceNumber": 5,
        "cuf": "2872F7294502332E637FABFBC3654EA82202AD48E0969F14EBEB8AF74",
        "state": "VALIDATED",
        "clientBusinessName": "EMPRESA DEMO S.R.L.",
        "amountTotal": 500.00,
        "emissionDate": "2026-02-11T12:00:00"
      }
    ],
    "page": 0,
    "size": 10,
    "totalElements": 1,
    "totalPages": 1,
    "first": true,
    "last": true
  },
  "timestamp": "2026-02-11T12:00:00"
}